package com.bocloud.nms.model.campus;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * @description: 接入用户
 * @author: Li Yaohui
 * @since: 2021/2/24 3:39 下午
 */
public class AcmUserModel {

    private Long userId; // 接入用户 ID
    private String userName; // 接入用户帐号名
    private Long userGroupId; // 用户分组ID
    private String userGroupName; // 用户分组名称
    private Long platUserId; // 平台用户的唯一标识
    private String fullName; // 用户姓名
    private String certification; // 证件号码
    private String address; // 通讯地址
    private String phone; // 电话号码
    private String email; // 电子邮件
    private Boolean blackState; // 是否为黑名单用户
    private Boolean ldapState; // 是否为LDAP绑定用户
    private Date userCreateTime; // 开户日期
    private Date lastUsingTime; // 最后下线时间
    private Date invalidTime; // 失效日期
    private Integer idleTimeout; // 最大闲置时长
    private Integer onlineLimit; // 在线用户数量
    private Boolean onlineState; // 在线状态
    private String promptInfo; // 提示信息
    private Integer feeType; // 帐号类型
    private Boolean ifOwe; // 后付费帐号是否欠费
    private Double currentBalance; // 当前余额
    private Integer status; // 帐号状态
    private Boolean ifSelfPay; // 是否允许自助充值
    private List<AppliedServiceModel> appliedServices; // 申请的服务模板信息
    private String nasIp; // 接入设备IP地址
    private Integer nasPort; // 端口号
    private Long outerVlanId; // 外层VLAN ID
    private List<Long> innerVlanIds; // VLAN ID/内层VLAN ID
    private String wlanSsid; // 无线用户SSID
    private String computerName; // 计算机名称
    private String boundDomainName; // 绑定域
    private String logonDomainName; // 登录域
    private String imsiCode; // IMSI号码
    private List<String> ips; // 用户IP地址
    private List<String> macs; // 用户网卡MAC地址
    private List<String> ipv6s; // 用户的IPv6地址
    private Integer ifManageGuest; // 访客管理员类型
    private String imeiCode; // IMEI号码
    private String harddiskSn; // 硬盘序列号
    private String userPassword; // 密码
    private String userAdditionalInfo; // 附加信息
    private Boolean ifSelfModifyPsd; // 是否允许用户修改密码
    private Boolean ifPsdPolicy; // 是否启用密码策略
    private Boolean ifNeedChangeNext; // 下次登陆是否修改密码
    private BigDecimal cardPrepay; // 预付金额

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserGroupId(Long userGroupId) {
        this.userGroupId = userGroupId;
    }

    public Long getUserGroupId() {
        return userGroupId;
    }

    public void setUserGroupName(String userGroupName) {
        this.userGroupName = userGroupName;
    }

    public String getUserGroupName() {
        return userGroupName;
    }

    public void setPlatUserId(Long platUserId) {
        this.platUserId = platUserId;
    }

    public Long getPlatUserId() {
        return platUserId;
    }

    public void setFullName(String fullName) {
        this.fullName = fullName;
    }

    public String getFullName() {
        return fullName;
    }

    public void setCertification(String certification) {
        this.certification = certification;
    }

    public String getCertification() {
        return certification;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public String getAddress() {
        return address;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public String getPhone() {
        return phone;
    }

    public void setEmail(String email) {
        this.email = email;
    }

    public String getEmail() {
        return email;
    }

    public void setBlackState(Boolean blackState) {
        this.blackState = blackState;
    }

    public Boolean getBlackState() {
        return blackState;
    }

    public void setLdapState(Boolean ldapState) {
        this.ldapState = ldapState;
    }

    public Boolean getLdapState() {
        return ldapState;
    }

    public void setUserCreateTime(Date userCreateTime) {
        this.userCreateTime = userCreateTime;
    }

    public Date getUserCreateTime() {
        return userCreateTime;
    }

    public void setLastUsingTime(Date lastUsingTime) {
        this.lastUsingTime = lastUsingTime;
    }

    public Date getLastUsingTime() {
        return lastUsingTime;
    }

    public void setInvalidTime(Date invalidTime) {
        this.invalidTime = invalidTime;
    }

    public Date getInvalidTime() {
        return invalidTime;
    }

    public void setIdleTimeout(Integer idleTimeout) {
        this.idleTimeout = idleTimeout;
    }

    public Integer getIdleTimeout() {
        return idleTimeout;
    }

    public void setOnlineLimit(Integer onlineLimit) {
        this.onlineLimit = onlineLimit;
    }

    public Integer getOnlineLimit() {
        return onlineLimit;
    }

    public void setOnlineState(Boolean onlineState) {
        this.onlineState = onlineState;
    }

    public Boolean getOnlineState() {
        return onlineState;
    }

    public void setPromptInfo(String promptInfo) {
        this.promptInfo = promptInfo;
    }

    public String getPromptInfo() {
        return promptInfo;
    }

    public void setFeeType(Integer feeType) {
        this.feeType = feeType;
    }

    public Integer getFeeType() {
        return feeType;
    }

    public void setIfOwe(Boolean ifOwe) {
        this.ifOwe = ifOwe;
    }

    public Boolean getIfOwe() {
        return ifOwe;
    }

    public void setCurrentBalance(Double currentBalance) {
        this.currentBalance = currentBalance;
    }

    public Double getCurrentBalance() {
        return currentBalance;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Integer getStatus() {
        return status;
    }

    public void setIfSelfPay(Boolean ifSelfPay) {
        this.ifSelfPay = ifSelfPay;
    }

    public Boolean getIfSelfPay() {
        return ifSelfPay;
    }

    public void setAppliedServices(List<AppliedServiceModel> appliedServices) {
        this.appliedServices = appliedServices;
    }

    public List<AppliedServiceModel> getAppliedServices() {
        return appliedServices;
    }

    public void setNasIp(String nasIp) {
        this.nasIp = nasIp;
    }

    public String getNasIp() {
        return nasIp;
    }

    public void setNasPort(Integer nasPort) {
        this.nasPort = nasPort;
    }

    public Integer getNasPort() {
        return nasPort;
    }

    public void setOuterVlanId(Long outerVlanId) {
        this.outerVlanId = outerVlanId;
    }

    public Long getOuterVlanId() {
        return outerVlanId;
    }

    public void setInnerVlanIds(List<Long> innerVlanIds) {
        this.innerVlanIds = innerVlanIds;
    }

    public List<Long> getInnerVlanIds() {
        return innerVlanIds;
    }

    public void setWlanSsid(String wlanSsid) {
        this.wlanSsid = wlanSsid;
    }

    public String getWlanSsid() {
        return wlanSsid;
    }

    public void setComputerName(String computerName) {
        this.computerName = computerName;
    }

    public String getComputerName() {
        return computerName;
    }

    public void setBoundDomainName(String boundDomainName) {
        this.boundDomainName = boundDomainName;
    }

    public String getBoundDomainName() {
        return boundDomainName;
    }

    public void setLogonDomainName(String logonDomainName) {
        this.logonDomainName = logonDomainName;
    }

    public String getLogonDomainName() {
        return logonDomainName;
    }

    public void setImsiCode(String imsiCode) {
        this.imsiCode = imsiCode;
    }

    public String getImsiCode() {
        return imsiCode;
    }

    public void setIps(List<String> ips) {
        this.ips = ips;
    }

    public List<String> getIps() {
        return ips;
    }

    public void setMacs(List<String> macs) {
        this.macs = macs;
    }

    public List<String> getMacs() {
        return macs;
    }

    public void setIpv6s(List<String> ipv6s) {
        this.ipv6s = ipv6s;
    }

    public List<String> getIpv6s() {
        return ipv6s;
    }

    public void setIfManageGuest(Integer ifManageGuest) {
        this.ifManageGuest = ifManageGuest;
    }

    public Integer getIfManageGuest() {
        return ifManageGuest;
    }

    public void setImeiCode(String imeiCode) {
        this.imeiCode = imeiCode;
    }

    public String getImeiCode() {
        return imeiCode;
    }

    public void setHarddiskSn(String harddiskSn) {
        this.harddiskSn = harddiskSn;
    }

    public String getHarddiskSn() {
        return harddiskSn;
    }

    public void setUserPassword(String userPassword) {
        this.userPassword = userPassword;
    }

    public String getUserPassword() {
        return userPassword;
    }

    public void setUserAdditionalInfo(String userAdditionalInfo) {
        this.userAdditionalInfo = userAdditionalInfo;
    }

    public String getUserAdditionalInfo() {
        return userAdditionalInfo;
    }

    public void setIfSelfModifyPsd(Boolean ifSelfModifyPsd) {
        this.ifSelfModifyPsd = ifSelfModifyPsd;
    }

    public Boolean getIfSelfModifyPsd() {
        return ifSelfModifyPsd;
    }

    public void setIfPsdPolicy(Boolean ifPsdPolicy) {
        this.ifPsdPolicy = ifPsdPolicy;
    }

    public Boolean getIfPsdPolicy() {
        return ifPsdPolicy;
    }

    public void setIfNeedChangeNext(Boolean ifNeedChangeNext) {
        this.ifNeedChangeNext = ifNeedChangeNext;
    }

    public Boolean getIfNeedChangeNext() {
        return ifNeedChangeNext;
    }

    public void setCardPrepay(BigDecimal cardPrepay) {
        this.cardPrepay = cardPrepay;
    }

    public BigDecimal getCardPrepay() {
        return cardPrepay;
    }
}
